apemanlocale
==========

<!---
This file is generated by ape-tmpl. Do not update manually.
--->

<!-- Badge Start -->
<a name="badges"></a>

[![Build Status][bd_travis_shield_url]][bd_travis_url]
[![Code Climate][bd_codeclimate_shield_url]][bd_codeclimate_url]
[![Code Coverage][bd_codeclimate_coverage_shield_url]][bd_codeclimate_url]
[![npm Version][bd_npm_shield_url]][bd_npm_url]
[![JS Standard][bd_standard_shield_url]][bd_standard_url]

[bd_repo_url]: https://github.com/apeman-labo/apemanlocale
[bd_travis_url]: http://travis-ci.org/apeman-labo/apemanlocale
[bd_travis_shield_url]: http://img.shields.io/travis/apeman-labo/apemanlocale.svg?style=flat
[bd_travis_com_url]: http://travis-ci.com/apeman-labo/apemanlocale
[bd_travis_com_shield_url]: https://api.travis-ci.com/apeman-labo/apemanlocale.svg?token=
[bd_license_url]: https://github.com/apeman-labo/apemanlocale/blob/master/LICENSE
[bd_codeclimate_url]: http://codeclimate.com/github/apeman-labo/apemanlocale
[bd_codeclimate_shield_url]: http://img.shields.io/codeclimate/github/apeman-labo/apemanlocale.svg?style=flat
[bd_codeclimate_coverage_shield_url]: http://img.shields.io/codeclimate/coverage/github/apeman-labo/apemanlocale.svg?style=flat
[bd_gemnasium_url]: https://gemnasium.com/apeman-labo/apemanlocale
[bd_gemnasium_shield_url]: https://gemnasium.com/apeman-labo/apemanlocale.svg
[bd_npm_url]: http://www.npmjs.org/package/apemanlocale
[bd_npm_shield_url]: http://img.shields.io/npm/v/apemanlocale.svg?style=flat
[bd_standard_url]: http://standardjs.com/
[bd_standard_shield_url]: https://img.shields.io/badge/code%20style-standard-brightgreen.svg

<!-- Badge End -->


<!-- Description Start -->
<a name="description"></a>

Message resource for apeman project.

<!-- Description End -->


<!-- Overview Start -->
<a name="overview"></a>



<!-- Overview End -->


<!-- Sections Start -->
<a name="sections"></a>

<!-- Section from "doc/guides/01.Installation.md.hbs" Start -->

<a name="section-doc-guides-01-installation-md"></a>

Installation
-----

```bash
$ npm install apemanlocale --save
```


<!-- Section from "doc/guides/01.Installation.md.hbs" End -->

<!-- Section from "doc/guides/02.Usage.md.hbs" Start -->

<a name="section-doc-guides-02-usage-md"></a>

Usage
---------

Create a directory with name "loc" and put locale files like "en.json" there.


**loc/en.json**
```json
{
  "keys": {
    "APP_NAME": "hello-world"
  },
  "titles": {
    "WELCOME_TITLE": "Welcome to #{keys.APP_NAME}!"
  }
}
```

**loc/index.js**

```javascript
'use strict'

const apemanlocale = require('apemanlocale')

// Exports locales as module.
let locales = apemanlocale(__dirname, {
  // Options
})

// Print all locales
locales.print()

module.exports = locales

```


Then,

```javascript
'use strict'

// Require defined locales
const loc = require('./loc/index.js')

let en = loc('en')
console.log(en.titles.WELCOME_TITLE) // -> "Welcome to hello-world!"

```


<!-- Section from "doc/guides/02.Usage.md.hbs" End -->

<!-- Section from "doc/guides/03.Signature.md.hbs" Start -->

<a name="section-doc-guides-03-signature-md"></a>

Signature
-------

#### apemanlocale(dirname, options) -> object

Define locale message resource.

##### Args

| Name | Type | Default | Description |
| --- | ---- | --- | --- |
| dirname | string  | locales | Directory path which contains locale messages. |
| options | object  |  | Optional settings. |
| options.default | object  | en | Default lang. |
| options.fallback | boolean  |  | Use default lang as fallback |
| options.buildin | boolean  |  | Use buildin langs |


<!-- Section from "doc/guides/03.Signature.md.hbs" End -->

<!-- Section from "doc/guides/04.Build in.md.hbs" Start -->

<a name="section-doc-guides-04-build-in-md"></a>

Build-in messages
----------------

### 
| Key | Message |
| --- | -------  |
| _._MASKED | **********<br/>********** |
| _.ACCOUNT | Account<br/>アカウント |
| _.EMAIL | Email<br/>メールアドレス |
| _.FACEBOOK | Facebook<br/>Facebook |
| _.GOOGLE | Google<br/>Google |
| _.PASSWORD | Password<br/>パスワード |
| _.PROFILE | Profile<br/>プロフィール |
| _.SIGNIN | Sign In<br/>ログイン |
| _.SIGNOUT | Sign Out<br/>ログアウト |
| _.SIGNUP | Sign Up<br/>新規登録 |
| _.SITE | __name_of_your_site___<br/>__name_of_your_site___ |
| _.TWITTER | Twitter<br/>Twitter |
| _.USERNAME | Username<br/>ユーザー名 |
| buttons.CONFIRM_NO | No<br/>いいえ |
| buttons.CONFIRM_YES | Yes<br/>はい |
| buttons.DO_ADD | Add<br/>追加する |
| buttons.DO_BACK | Back<br/>戻る |
| buttons.DO_CANCEL | Cancel<br/>キャンセルする |
| buttons.DO_DESTROY | Destroy<br/>削除する |
| buttons.DO_EDIT | Edit<br/>編集する |
| buttons.DO_LOAD_MORE | Load More<br/>もっと読み込む |
| buttons.DO_NEXT | Next<br/>次へ |
| buttons.DO_REFRESH | Refresh<br/>再読み込み |
| buttons.DO_RESEND | Send Again<br/>再送信する |
| buttons.DO_SAVE | Save<br/>保存する |
| buttons.DO_SEARCH | Search<br/>検索する |
| buttons.DO_SIGNIN | #{ _.SIGNIN }<br/>#{ _.SIGNIN } |
| buttons.DO_SIGNUP | #{ _.SIGNUP }<br/>登録する |
| buttons.SHOW_ACCOUNT_INPUT | Register Your Profile.<br/>プロフィール情報の登録 |
| buttons.SHOW_DESTROY | Destroy<br/>削除 |
| buttons.SHOW_EDIT | Edit<br/>編集 |
| buttons.SHOW_PROFILE_INPUT | Input #{ _.PROFILE } Info<br/>#{ _.PROFILE }情報を入力する |
| buttons.SHOW_SIGNIN | #{ _.SIGNIN }<br/>#{ _.SIGNIN } |
| buttons.SHOW_SIGNUP | #{ _.SIGNUP }<br/>#{ _.SIGNUP } |
| buttons.SIGNIN_FACEBOOK | Sign In with #{ _.FACEBOOK }<br/>#{ _.FACEBOOK }で#{ _.SIGNIN }する |
| buttons.SIGNIN_GOOGLE | Sign In with #{ _.GOOGLE }<br/>#{ _.GOOGLE }で#{ _.SIGNIN }する |
| buttons.SIGNIN_TWITTER | Sign In with #{ _.TWITTER }<br/>#{ _.TWITTER }で#{ _.SIGNIN }する |
| captions.ABOUT_SYSTEM | About System<br/>システムについて |
| captions.ABOUT_TERMS | About Terms<br/>規約について |
| captions.ACCOUNT_BASIC_INFO | Basic Info<br/>基本情報 |
| captions.ACCOUNT_INFO | Account Info<br/>アカウント情報 |
| captions.ACCOUNT_PROFILE_INFO | Profile<br/>プロフィール |
| captions.OTHER_MENU | Menu<br/>メニュー |
| checks.DESTROY_CHECK | Yes, I am sure to destroy<br/>はい、削除して問題ありません。 |
| dropdown.ACCOUNT | #{ _.ACCOUNT } Info<br/>#{ _.ACCOUNT }情報 |
| dropdown.SIGNOUT | #{ _.SIGNOUT }<br/>#{ _.SIGNOUT } |
| errors.RESOURCE_DATA_CONFLICT_ERROR | RESOURCE_DATA_CONFLICT_ERROR<br/>リソースデータ競合エラー |
| errors.RESOURCE_DATA_ERROR | RESOURCE_DATA_ERROR<br/>リソースデータエラー |
| errors.RESOURCE_DATA_MISSING_ERROR | RESOURCE_DATA_MISSING_ERROR<br/>リソースデータ欠落エラー |
| errors.RESOURCE_ERROR | RESOURCE_ERROR<br/>リソースエラー |
| errors.RESOURCE_INCLUDE_ERROR | RESOURCE_INCLUDE_ERROR<br/>リソースインクルードエラー |
| errors.RESOURCE_INCLUDE_INVALID_ERROR | RESOURCE_INCLUDE_INVALID_ERROR<br/>RESOURCE_INCLUDE_INVALID_ERROR |
| errors.RESOURCE_NOT_FOUND_ERROR | RESOURCE_NOT_FOUND_ERROR<br/>未検出エラー |
| errors.RESOURCE_TYPE_ERROR | RESOURCE_TYPE_ERROR<br/>リソース種別エラー |
| errors.RESOURCE_TYPE_INVALID_ERROR | RESOURCE_TYPE_INVALID_ERROR<br/>リソース種別不正エラー |
| errors.RESOURCE_TYPE_MISSING_ERROR | RESOURCE_TYPE_MISSING_ERROR<br/>リソース種別欠落エラー |
| errors.RESOURCE_VR_ERROR | RESOURCE_VR_ERROR<br/>リソースバージョンエラー |
| errors.RESOURCE_VR_TYPE_ERROR | RESOURCE_VR_TYPE_ERROR<br/>リソースバージョン種別エラー |
| errors.SIGN_CAPTCHA_WRONG_ERROR | SIGN_CAPTCHA_WRONG_ERROR<br/>CAPTCHA照合エラー |
| errors.SIGN_ERROR | SIGN_ERROR<br/>ログインエラー |
| errors.SIGN_FORM_WRONG_ERROR | SIGN_FORM_WRONG_ERROR<br/>ログイン入力内容エラー |
| errors.SOMETHING_WRONG_ERROR | SOMETHING_WRONG_ERROR<br/>不明なエラー |
| errors.VALUE_DUPLICATE_ERROR | VALUE_DUPLICATE_ERROR<br/>文字列重複エラー |
| errors.VALUE_ERROR | VALUE_ERROR<br/>値エラー |
| errors.VALUE_INVALID_ERROR | VALUE_INVALID_ERROR<br/>値不正エラー |
| errors.VALUE_MISSING_ERROR | VALUE_MISSING_ERROR<br/>値欠落エラー |
| errors.VALUE_NUMBER_ERROR | VALUE_NUMBER_ERROR<br/>数値エラー |
| errors.VALUE_NUMBER_INVALID_ERROR | VALUE_NUMBER_INVALID_ERROR<br/>数値不正エラー |
| errors.VALUE_NUMBER_TOO_LARGE_ERROR | VALUE_NUMBER_TOO_LARGE_ERROR<br/>数値上限エラー |
| errors.VALUE_NUMBER_TOO_SMALL_ERROR | VALUE_NUMBER_TOO_SMALL_ERROR<br/>数値下限エラー |
| errors.VALUE_STRING_ERROR | VALUE_STRING_ERROR<br/>文字列エラー |
| errors.VALUE_STRING_INVALID_ERROR | VALUE_STRING_INVALID_ERROR<br/>文字列不正エラー |
| errors.VALUE_STRING_TOO_LONG_ERROR | VALUE_STRING_TOO_LONG_ERROR<br/>文字列長上限エラー |
| errors.VALUE_STRING_TOO_SHORT_ERROR | VALUE_STRING_TOO_SHORT_ERROR<br/>文字列長下限エラー |
| errors.VALUE_TYPE_ERROR | VALUE_TYPE_ERROR<br/>値種別エラー |
| errors.VALUE_TYPE_INVALID_ERROR | VALUE_TYPE_INVALID_ERROR<br/>値種別不正エラー |
| guides.RECOVER_SEND | Enter your email address and we will send you a link to reset your password.<br/>入力した#{ _.EMAIL }に#{ _.PASSWORD }を初期化するためのリンクを送信します。 |
| guides.RECOVER_SEND_DONE | Password reset link send to the following address<br/>#{ _.PASSWORD }初期化のためのリンクを以下の#{ _.EMAIL }に送信しました。 |
| labels.CAPTCHA | Captcha<br/>Captcha |
| labels.EMAIL | #{ _.EMAIL }<br/>#{ _.EMAIL } |
| labels.HOMEPAGE | homepage<br/>ホームページ |
| labels.PASSWORD | #{ _.PASSWORD }<br/>#{ _.PASSWORD } |
| labels.PROFILE_IMAGE | Profile Image<br/>プロフィール画像 |
| labels.PROFILE_NAME | Display Name<br/>表示名 |
| labels.SIGN_KEY | #{ _.USERNAME } or #{ _.EMAIL }<br/>#{ _.USERNAME }または#{ _.EMAIL } |
| labels.USER_KEY | #{ _.USERNAME }<br/>#{ _.USERNAME } |
| links.CHANGE_EMAIL | Change<br/>変更 |
| links.CHANGE_PASSWORD | Change<br/>変更 |
| links.RECOVER_LINK | Forget password?<br/>パスワード忘れ |
| links.RESIGN_LINK | Resign<br/>退会する |
| links.RETURN_TO_TOP | Return to Top<br/>トップに戻る |
| links.SHOW_RESIGN | Delete account<br/>アカウントの削除 |
| menu.ABOUT | About<br/>サービス情報 |
| menu.ABOUT_PRIVACY | Privacy Policy<br/>プライバシーポリシー |
| menu.ABOUT_TERMS | Terms of Use<br/>利用規約 |
| menu.SIGNOUT | #{ _.SIGNOUT }<br/>#{ _.SIGNOUT } |
| messages.PROFILE_NOT_REGISTERED | Your profile is not registered yet.<br/>プロフィールが登録されていません |
| messages.SURE_TO_DESTROY | Once destroyed, there is no going back. Please be certain.<br/>削除してもよろしいですか？一度削除すると復元できません。 |
| messages.VERIFY_DONE | Your verify is succeeded.<br/>確認が完了しました。 |
| messages.VERIFY_EMAIL_DONE | Your email has successfully verified.<br/>メールアドレスの確認が完了しました。 |
| notices.NEEDS_VERIFY_EMAIL | Your email is not verified. Confirm the verification mail we sent and follow the link there.<br/>メールアドレスの確認が完了していません。確認メールにあるリンクをクリックしてください。 |
| org.ORG_EMAIL | __your_org_email__<br/>__your_org_email__ |
| org.ORG_HOMEPAGE | __your_org_homepage__<br/>__your_org_homepage__ |
| org.ORG_NAME | __your_org_name__<br/>__your_org_name__ |
| placeholders.CAPTCHA_TEXT | (Type the numbers above)<br/>(上記画像の数字を入力) |
| signature.MAIL_BY | #{ org.ORG_NAME }<br/>#{org.ORG_NAME} |
| status.400 | Bad Request<br/>不正なリクエスト |
| status.401 | Authentication is required<br/>認証が必要です |
| status.403 | You don't have permissions<br/>権限がありません |
| status.404 | Could not find resource<br/>リソースが見つかりません |
| status.500 | Something wrong with the server<br/>サーバーでエラーが発生しました |
| status.502 | Bad gateway error<br/>ゲートウェイエラー |
| status.503 | Server not available<br/>混雑中 |
| subjects.VERIFY_EMAIL_MAIL | [#{ _.SITE }] Verify your email address<br/>[#{ _.SITE }] メールアドレスの確認 |
| titles.SIGNIN | Sign In<br/>ログイン |
| titles.SIGNUP | Sign Up<br/>新規登録 |
| titles.UI_TITLE | #{ _.SITE }<br/>#{ _.SITE } |
| toasts.CAPTCHA_VERIFY_FAILED | Captcha verify did fail.<br/>Captchaが一致しません |
| toasts.CONNECTION_FAILED | Network unavailable.<br/>通信に失敗しました。 |
| toasts.DESTROY_FAILED | Destroyed failed.<br/>削除に失敗しました。 |
| toasts.DESTROY_SUCCESS | Destroyed successfully.<br/>削除しました。 |
| toasts.RECOVER_RESET_FAILED | Failed to reset password<br/>パスワード再設定に失敗しました。 |
| toasts.RECOVER_RESET_SUCCESS | Password did reset.<br/>パスワード再設定が完了しました。 |
| toasts.RECOVER_SEND_FAILED | Fail to send password reset mail.<br/>パスワード再設定メールの送信に失敗しました。 |
| toasts.RECOVER_SEND_SUCCESS | Password reset mail sent.<br/>パスワード再設定メールを送信しました。 |
| toasts.RESOURCE_NOT_FOUND | Resource not found.<br/>リソースが見つかりません。 |
| toasts.SAVE_FAILED | Saved failed.<br/>保存に失敗しました |
| toasts.SAVE_SUCCESS | Saved successfully.<br/>保存しました。 |
| toasts.SIGNIN_FAILED | Failed to sign in.<br/>#{ _.SIGNIN }に失敗しました。 |
| toasts.SIGNIN_SUCCESS | Sign in succeeded.<br/>#{ _.SIGNIN }しました。 |
| toasts.SIGNOUT_FAILED | Failed to sign out.<br/>#{ _.SIGNOUT }に失敗しました。 |
| toasts.SIGNOUT_SUCCESS | Sign out done.<br/>#{ _.SIGNOUT }しました。 |
| toasts.SIGNUP_FAILED | Failed to sign up.<br/>#{ _.SIGNUP }に失敗しました。 |
| toasts.SIGNUP_SUCCESS | Sign up done.<br/>#{ _.SIGNUP }しました。 |
| toasts.UNEXPECTED_ERROR | Unexpected error occurred.<br/>予期せぬエラーが発生しました。 |
| toasts.UPDATE_SUCCESS | Updated successfully.<br/>更新しました。 |
| toasts.VALIDATION_FAILED | Invalid form.<br/>内容が不正です。 |
| toasts.VERIFY_SEND_FAILED | Failed to send verify.<br/>確認メールの送信に失敗しました。 |
| toasts.VERIFY_SEND_SUCCESS | Verify email was sent.<br/>確認メールを送信しました。 |
| toasts.VERIFY_SUCCESS | Verify succeeded.<br/>確認が完了しました。 |


<!-- Section from "doc/guides/04.Build in.md.hbs" End -->


<!-- Sections Start -->


<!-- LICENSE Start -->
<a name="license"></a>

License
-------
This software is released under the [MIT License](https://github.com/apeman-labo/apemanlocale/blob/master/LICENSE).

<!-- LICENSE End -->


<!-- Links Start -->
<a name="links"></a>

Links
------

+ [apeman][apeman_url]

[apeman_url]: https://www.npmjs.com/package/apeman

<!-- Links End -->
