#!/usr/bin/env node

/**
 * Build this project.
 */

'use strict'

process.chdir(`${__dirname}/..`)

const apeTasking = require('ape-tasking')
const co = require('co')
const coz = require('coz')
const fmtjson = require('fmtjson')

apeTasking.runTasks('build', [
  () => co(function * () {
    yield coz.render([
      '.*.bud',
      'lib/.*.bud',
      'test/.*.bud'
    ])
    let results = yield fmtjson('lib/defaults/*.json', {
      sort: true
    })
    for (let filename of Object.keys(results)) {
      console.log(`File generated: ${filename}`)
    }
  })
], true)
